package com.yc.wms.controller;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.yc.wms.bean.Zhengliqingdan;
import com.yc.wms.until.QueryPageUtil;
import com.yc.wms.until.Result;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@Slf4j
@RequestMapping("/Zhengliqingdan")
public class ZhengliqingdanController {

    @Autowired
    private com.yc.wms.service.Zhengliqingdan zhengliqingdan;

    //查询全部条件分页
    @PostMapping("/queryWhere")
    public Result queryUser(@RequestBody String  json) {

        QueryPageUtil query =new QueryPageUtil();
        JSONObject jsonObject=JSONUtil.parseObj(json);
        query.setPageSize((int)jsonObject.get("pageSize"));
        query.setPageNum((int)jsonObject.get("pageNum"));

        JSONObject param= (JSONObject)jsonObject.get("param");

        Zhengliqingdan zhengliqingdan1 = JSONUtil.toBean(param.toString(), Zhengliqingdan.class);

        return zhengliqingdan.QueryJson(query,zhengliqingdan1);
    }


    //下拉工厂填充
   @PostMapping("/ZPlant")
    public Result Plant() {
        return zhengliqingdan.Plant();
    }

    //LOC下拉填充
    @PostMapping("ZLOC")
    public Result LOC() {
        return zhengliqingdan.LOC();
    }

    //库区填充
    @PostMapping("ZZONE")
    public Result ZONE() {
        return zhengliqingdan.ZONE();
    }
}

